> For the complete documentation index, see [llms.txt](https://aliniex.gitbook.io/alix-pay/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://aliniex.gitbook.io/alix-pay/api-reference/on-off-ramp-api/user/get-user-kyc-information.md).

# Get User KYC Information

<mark style="color:green;">`GET`</mark> /api/v2/user/get-kyc-information

This API allows you to get the submitted document of an user

**Headers**

| Param        | Value                                                                                                                                   |
| ------------ | --------------------------------------------------------------------------------------------------------------------------------------- |
| access-token | It is accessToken  has returned from the [api Access Token](/alix-pay/api-reference/on-off-ramp-api/authenication/verify-user-email.md) |

**Response**&#x20;

{% tabs %}
{% tab title="200" %}

```json

{
    "success": true,
    "message": "Your request has been successful",
    "data": {
        "firstName": "{{first_name}}",
        "lastName": "{{last_name}}",
        "dateOfBirth": "{{DOB}}",
        "gender": "{{gender}}",
        "nationality": "{{nationality}}",
        "idType": "{{idType}}",
        "naitonalId": "{{nationalId}}",
        "issueDate": "{{issueDate}}",
        "expiryDate": "{{expiryDate}}",
        "address": "{{address}}",
        "frontIdImage": "{{frontIdImage}}",
        "backIdImage": "{{backIdImage}}",
        "holdIdImage": "{{holdIdImage}}",
        "phoneNumber": "{{phoneNumber}}",
        "phoneCountryCode": "{{phoneCountryCode}}",
        "kycStatus": "{{kycStatus}}"
    },
    "errorCode": 0
}

```

{% endtab %}

{% tab title="400" %}

<pre class="language-json"><code class="lang-json">{
    "success": false,
    "message": "The QR code is invalid. Please check and try again",
    "data": null,
    "errorCode": 32
}
<strong>
</strong>
</code></pre>

{% endtab %}
{% endtabs %}

**Description of Response Data**&#x20;

Description

<table><thead><tr><th width="212.65625">Name</th><th width="82">Type</th><th>Value</th></tr></thead><tbody><tr><td>firstName</td><td>string</td><td>first name</td></tr><tr><td>lastName</td><td>string</td><td>last name</td></tr><tr><td>dateOfBirth</td><td>string</td><td>date of birth in the format YYYY-MM-DD</td></tr><tr><td>gender</td><td>string</td><td>Male or Female</td></tr><tr><td>nationality</td><td>string</td><td>nationality, e.g., "US", "VN" or "CN"</td></tr><tr><td>idType</td><td>string</td><td>"PASSPORT" or "ID_CARD"</td></tr><tr><td>nationalId</td><td>string</td><td>The id of document ( ID national card number or passport number)</td></tr><tr><td>issueDate</td><td>string</td><td>The date when the ID was issued, formatted as YYYY-MM-DD</td></tr><tr><td>expiryDate</td><td>string</td><td>The date when the ID expires, formatted as YYYY-MM-DD</td></tr><tr><td>address</td><td>string</td><td>address</td></tr><tr><td>frontUrl</td><td>string</td><td>Image on the front of the document as base64 string</td></tr><tr><td>backUrl</td><td>string</td><td>Image on the back of the document as base64 string</td></tr><tr><td>holdUrl</td><td>string</td><td>Image on the hand hold of the document as base64 string</td></tr><tr><td>phoneNumber</td><td>string</td><td>phoneNumber</td></tr><tr><td>phoneCountryCode</td><td>string</td><td>phoneCountryCode</td></tr><tr><td>kycStatus</td><td>string</td><td><p><strong>status of kyc</strong></p><ul><li>NONE </li><li>PROGRESSING</li><li>SUBMITTED</li><li>VERIFIED</li><li>REJECTED</li></ul><p></p></td></tr></tbody></table>

&#x20;


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://aliniex.gitbook.io/alix-pay/api-reference/on-off-ramp-api/user/get-user-kyc-information.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
